Page MenuHomePhabricator

[mlir-reduce] Create MlirReduceLib
ClosedPublic

Authored by Chia-hungDuan on Apr 30 2021, 1:56 AM.

Details

Summary

Move the core reducer algorithm into a library so that it'll be easier
for porting to different projects.

Depends On D101046

Diff Detail

Event Timeline

Chia-hungDuan created this revision.Apr 30 2021, 1:56 AM
Chia-hungDuan requested review of this revision.Apr 30 2021, 1:56 AM
Chia-hungDuan edited the summary of this revision. (Show Details)Apr 30 2021, 1:57 AM
Chia-hungDuan added reviewers: jpienaar, rriddle.

Added comment

Amend previous uploaded patches which was an accident.

Remove load all dialects

Loading of reducer passess should be in MlirReduceMain

rriddle accepted this revision.May 24 2021, 2:23 AM

LGTM

mlir/include/mlir/Tools/mlir-reduce/MlirReduceMain.h
10

Please fix.

mlir/tools/mlir-reduce/mlir-reduce.cpp
38

nit: The mlir:: here and below shouldn't be necessary.

This revision is now accepted and ready to land.May 24 2021, 2:23 AM
Chia-hungDuan marked an inline comment as done.May 26 2021, 3:55 AM

Address clang-tidy warning

jpienaar accepted this revision.May 26 2021, 11:41 AM
jpienaar added inline comments.
mlir/include/mlir/Tools/mlir-reduce/MlirReduceMain.h
18

Leftover ?

Chia-hungDuan marked an inline comment as done.May 27 2021, 2:50 AM

Addressed review comment

Chia-hungDuan marked an inline comment as done.

fix the naming and remove redundant targets in make file

This revision was landed with ongoing or failed builds.Jun 3 2021, 1:08 AM
This revision was automatically updated to reflect the committed changes.